# base class for all the import plugins

package BasPlug;


sub new {
    my ($class) = @_;

    return bless {}, $class;
}

# return 1 if this class might recurse using $pluginfo
sub is_recursive {
    my $self = shift (@_);

    die "BasPlug::is_recursive function must be implemented in sub classes\n";
}

# return 1 if processed, 0 if not processed
# Note that $base_dir might be "" and that $file might 
# include directories
sub read {
    my $self = shift (@_);
    my ($pluginfo, $base_dir, $file, $metadata, $processor) = @_;

    die "BasPlug::read function must be implemented in sub classes\n";

    return 0; # will never get here
}


1;
